@using Auction.DataAccessLayer.Entities.Shop
@{
    List<SubCategory> subcategories = ViewBag.SubCategories as List<SubCategory>;
}
<h2>Edit sub categories</h2>
<div>@Html.ActionLink("Create", "Create", "SubCategory")</div>
@if (subcategories != null)
{
    <h2>Category name: @ViewBag.CategoryName</h2>
    if (subcategories.Count == 0)
    {
        <p>There are no subcategories in this category</p>
    }
    else
    {
        <div class="category-edit-wrapper">
            @foreach (var subcategory in subcategories)
            {
                <div class="category-edit-item">
                    <div class="name-image">
                        <h3>@subcategory.Name</h3>
                        <div class="image-wrapper">
                            <img src="@subcategory.ImageUrl" alt="category image"/>
                        </div>
                    </div>
                    <div class="edit-description">@subcategory.ShortDescription</div>
                    <div class="control-wrapper">
                        <div>Details</div>
                        <div>@Html.ActionLink("Edit", "Edit", "SubCategory", new {subcategoryId = subcategory.SubCategoryId}, null)</div>
                        <div>@Html.ActionLink("Delete", "Delete", "SubCategory", new {subcategoryId = subcategory.SubCategoryId}, null)</div>
                    </div>
                </div>
            }
        </div>
    }
}